import { Time, TimelineObjectInstance, Reference } from '../../api';
export interface InstanceEvent<T = any> {
    time: Time;
    value: boolean;
    references: Reference[];
    data: T;
}
export type EventForInstance = InstanceEvent<{
    id?: string;
    instance: TimelineObjectInstance;
    notANegativeInstance?: boolean;
}>;
export declare function sortEvents<T extends InstanceEvent>(events: T[], additionalSortFcnBefore?: (a: T, b: T) => number): T[];
//# sourceMappingURL=event.d.ts.map