import { ValueWithReference } from './reference';
export type OperatorFunction = (a: ValueWithReference | null, b: ValueWithReference | null) => ValueWithReference | null;
/** Helper class for various math operators, used in expressions */
export declare abstract class Operator {
    static get(operator: '+' | '-' | '*' | '/' | '%'): OperatorFunction;
    private static Add;
    private static Subtract;
    private static Multiply;
    private static Divide;
    private static Modulo;
    private static Null;
}
//# sourceMappingURL=operator.d.ts.map