"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.objHasLayer = void 0;
/**
 * Returns true if object has a layer.
 * Note: Objects without a layer are called "transparent objects",
 * and won't be present in the resolved state.
 */
function objHasLayer(obj) {
    return obj.layer !== undefined && obj.layer !== '' && obj.layer !== null;
}
exports.objHasLayer = objHasLayer;
//# sourceMappingURL=timeline.js.map