import { Content, ResolvedTimeline, Time, TimelineState } from '../api';
export declare class StateHandler {
    getState<TContent extends Content = Content>(resolvedTimeline: ResolvedTimeline<TContent>, time: Time, eventLimit?: number): TimelineState<TContent>;
    /**
     * Apply keyframe content onto its parent content.
     * The keyframe content is deeply-applied onto the parent content.
     */
    static applyKeyframeContent(parentContent: Content, keyframeContent: Content): void;
    private getActiveKeyframeInstances;
}
//# sourceMappingURL=StateHandler.d.ts.map