"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResolveError = void 0;
class ResolveError extends Error {
    constructor(e, resolvedTimeline) {
        super(e instanceof Error ? e.message : `${e}`);
        this.resolvedTimeline = resolvedTimeline;
        this.name = 'ResolveError';
        if (e instanceof Error) {
            this.stack = e.stack;
        }
    }
}
exports.ResolveError = ResolveError;
//# sourceMappingURL=Error.js.map