export declare function activatePerformanceDebugging(activate: boolean): void;
export declare const performance: {
    now: (this: void) => number;
};
/**
 * This is a little wierd, but we don't want to import performance from 'perf_hooks' directly,
 * because that will cause issues when this library is used in a browser.
 * Intended usage:
 * import { performance } from 'perf_hooks'
 * setPerformanceTimeFunction(performance.now)
 * @param now
 */
export declare function setPerformanceTimeFunction(now: () => number): void;
/**
 * Used to measure performance.
 * Starts a measurement, returns a function that should be called when the measurement is done.
 */
export declare function tic(id: string): () => void;
export declare function ticTocPrint(): void;
//# sourceMappingURL=performance.d.ts.map