import { ClassReference, InstanceId, InstanceReference, LayerReference, ObjectReference, ParentReference, Reference, TimelineObjectInstance } from '../../api';
export declare function isObjectReference(ref: Reference): ref is ObjectReference;
export declare function getRefObjectId(ref: ObjectReference): string;
export declare function isParentReference(ref: Reference): ref is ParentReference;
export declare function isClassReference(ref: Reference): ref is ClassReference;
export declare function getRefClass(ref: ClassReference): string;
export declare function isLayerReference(ref: Reference): ref is LayerReference;
export declare function getRefLayer(ref: LayerReference): string;
export declare function isInstanceReference(ref: Reference): ref is InstanceReference;
export declare function getRefInstanceId(ref: InstanceReference): InstanceId;
/** Add / join references Arrays. Returns a sorted list of unique references */
export declare function joinReferences(references: Reference[], ...addReferences: Array<Reference[] | Reference>): Reference[];
export declare function isReference(ref: ValueWithReference | TimelineObjectInstance[] | null): ref is ValueWithReference;
export interface ValueWithReference {
    value: number;
    references: Reference[];
}
//# sourceMappingURL=reference.d.ts.map